## QLC+_4.14.3.tar.gz

=== fixtureeditor/CMakeLists.txt ===
set(module_name "qlcplus-fixtureeditor")

set(TS_FILES
    fixtureeditor_fi_FI.ts
    fixtureeditor_fr_FR.ts
    fixtureeditor_de_DE.ts
    fixtureeditor_es_ES.ts
    fixtureeditor_it_IT.ts
    fixtureeditor_nl_NL.ts
    fixtureeditor_cz_CZ.ts
    fixtureeditor_pt_BR.ts
    fixtureeditor_ca_ES.ts
    fixtureeditor_ja_JP.ts
)

if(QT_VERSION_MAJOR GREATER 5)
    qt_add_translation(QM_FILES ${TS_FILES})
else()
    qt5_add_translation(QM_FILES ${TS_FILES})
endif()

add_executable(${module_name} WIN32
    ../ui/src/aboutbox.cpp ../ui/src/aboutbox.h ../ui/src/aboutbox.ui
    ../ui/src/apputil.cpp ../ui/src/apputil.h
    addchannelsdialog.cpp addchannelsdialog.h addchannelsdialog.ui
    app.cpp app.h
    capabilitywizard.cpp capabilitywizard.h capabilitywizard.ui
    editchannel.cpp editchannel.h editchannel.ui
    edithead.cpp edithead.h edithead.ui
    editmode.cpp editmode.h editmode.ui
    editphysical.cpp editphysical.h editphysical.ui
    fixtureeditor.cpp fixtureeditor.h fixtureeditor.ui
    main.cpp
    util.h
    ${QM_FILES}
)

target_include_directories(${module_name} PRIVATE
    ../engine/src
    ../plugins/interfaces
    ../ui/src
)

target_link_libraries(${module_name} PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Widgets
    qlcplusengine
)


# Resources:
set_source_files_properties("../ui/src/../../resources/icons/png/add_dump.png"
    PROPERTIES QT_RESOURCE_ALIAS "add_dump.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/animation.png"
    PROPERTIES QT_RESOURCE_ALIAS "animation.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/attach.png"
    PROPERTIES QT_RESOURCE_ALIAS "attach.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/audio.png"
    PROPERTIES QT_RESOURCE_ALIAS "audio.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/audioinput.png"
    PROPERTIES QT_RESOURCE_ALIAS "audioinput.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/autostart.png"
    PROPERTIES QT_RESOURCE_ALIAS "autostart.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/back.png"
    PROPERTIES QT_RESOURCE_ALIAS "back.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/beam.png"
    PROPERTIES QT_RESOURCE_ALIAS "beam.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/blackout.png"
    PROPERTIES QT_RESOURCE_ALIAS "blackout.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/blind.png"
    PROPERTIES QT_RESOURCE_ALIAS "blind.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/button.png"
    PROPERTIES QT_RESOURCE_ALIAS "button.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/buttonmatrix.png"
    PROPERTIES QT_RESOURCE_ALIAS "buttonmatrix.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/chaser.png"
    PROPERTIES QT_RESOURCE_ALIAS "chaser.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/check.png"
    PROPERTIES QT_RESOURCE_ALIAS "check.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/checkbox_empty.png"
    PROPERTIES QT_RESOURCE_ALIAS "checkbox_empty.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/checkbox_full.png"
    PROPERTIES QT_RESOURCE_ALIAS "checkbox_full.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/clock.png"
    PROPERTIES QT_RESOURCE_ALIAS "clock.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/collection.png"
    PROPERTIES QT_RESOURCE_ALIAS "collection.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/color.png"
    PROPERTIES QT_RESOURCE_ALIAS "color.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/colorwheel.png"
    PROPERTIES QT_RESOURCE_ALIAS "colorwheel.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/configure.png"
    PROPERTIES QT_RESOURCE_ALIAS "configure.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/cuelist.png"
    PROPERTIES QT_RESOURCE_ALIAS "cuelist.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/current.png"
    PROPERTIES QT_RESOURCE_ALIAS "current.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/delete.png"
    PROPERTIES QT_RESOURCE_ALIAS "delete.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/design.png"
    PROPERTIES QT_RESOURCE_ALIAS "design.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/detach.png"
    PROPERTIES QT_RESOURCE_ALIAS "detach.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/dimmer.png"
    PROPERTIES QT_RESOURCE_ALIAS "dimmer.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/diptool.png"
    PROPERTIES QT_RESOURCE_ALIAS "diptool.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/down.png"
    PROPERTIES QT_RESOURCE_ALIAS "down.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/ds_border.png"
    PROPERTIES QT_RESOURCE_ALIAS "ds_border.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/ds_bottom.png"
    PROPERTIES QT_RESOURCE_ALIAS "ds_bottom.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/ds_off.png"
    PROPERTIES QT_RESOURCE_ALIAS "ds_off.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/ds_on.png"
    PROPERTIES QT_RESOURCE_ALIAS "ds_on.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/ds_top.png"
    PROPERTIES QT_RESOURCE_ALIAS "ds_top.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/edit.png"
    PROPERTIES QT_RESOURCE_ALIAS "edit.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/edit_add.png"
    PROPERTIES QT_RESOURCE_ALIAS "edit_add.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/edit_remove.png"
    PROPERTIES QT_RESOURCE_ALIAS "edit_remove.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/editclear.png"
    PROPERTIES QT_RESOURCE_ALIAS "editclear.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/editcopy.png"
    PROPERTIES QT_RESOURCE_ALIAS "editcopy.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/editcopyall.png"
    PROPERTIES QT_RESOURCE_ALIAS "editcopyall.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/editcut.png"
    PROPERTIES QT_RESOURCE_ALIAS "editcut.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/editdelete.png"
    PROPERTIES QT_RESOURCE_ALIAS "editdelete.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/editpaste.png"
    PROPERTIES QT_RESOURCE_ALIAS "editpaste.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/effect.png"
    PROPERTIES QT_RESOURCE_ALIAS "effect.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/efx.png"
    PROPERTIES QT_RESOURCE_ALIAS "efx.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/exit.png"
    PROPERTIES QT_RESOURCE_ALIAS "exit.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/expand.png"
    PROPERTIES QT_RESOURCE_ALIAS "expand.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fade.png"
    PROPERTIES QT_RESOURCE_ALIAS "fade.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fan.png"
    PROPERTIES QT_RESOURCE_ALIAS "fan.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fileclose.png"
    PROPERTIES QT_RESOURCE_ALIAS "fileclose.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fileexport.png"
    PROPERTIES QT_RESOURCE_ALIAS "fileexport.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fileimport.png"
    PROPERTIES QT_RESOURCE_ALIAS "fileimport.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/filenew.png"
    PROPERTIES QT_RESOURCE_ALIAS "filenew.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fileopen.png"
    PROPERTIES QT_RESOURCE_ALIAS "fileopen.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/filesave.png"
    PROPERTIES QT_RESOURCE_ALIAS "filesave.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/filesaveas.png"
    PROPERTIES QT_RESOURCE_ALIAS "filesaveas.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fixture.png"
    PROPERTIES QT_RESOURCE_ALIAS "fixture.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/flash.png"
    PROPERTIES QT_RESOURCE_ALIAS "flash.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/flower.png"
    PROPERTIES QT_RESOURCE_ALIAS "flower.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/folder.png"
    PROPERTIES QT_RESOURCE_ALIAS "folder.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fontcolor.png"
    PROPERTIES QT_RESOURCE_ALIAS "fontcolor.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fonts.png"
    PROPERTIES QT_RESOURCE_ALIAS "fonts.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/forward.png"
    PROPERTIES QT_RESOURCE_ALIAS "forward.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/frame.png"
    PROPERTIES QT_RESOURCE_ALIAS "frame.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/frameraised.png"
    PROPERTIES QT_RESOURCE_ALIAS "frameraised.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/framesunken.png"
    PROPERTIES QT_RESOURCE_ALIAS "framesunken.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/fullscreen.png"
    PROPERTIES QT_RESOURCE_ALIAS "fullscreen.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/function.png"
    PROPERTIES QT_RESOURCE_ALIAS "function.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/global.png"
    PROPERTIES QT_RESOURCE_ALIAS "global.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/gobo.png"
    PROPERTIES QT_RESOURCE_ALIAS "gobo.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/grid.png"
    PROPERTIES QT_RESOURCE_ALIAS "grid.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/group.png"
    PROPERTIES QT_RESOURCE_ALIAS "group.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/hazer.png"
    PROPERTIES QT_RESOURCE_ALIAS "hazer.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/help.png"
    PROPERTIES QT_RESOURCE_ALIAS "help.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/image.png"
    PROPERTIES QT_RESOURCE_ALIAS "image.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/input.png"
    PROPERTIES QT_RESOURCE_ALIAS "input.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/input_output.png"
    PROPERTIES QT_RESOURCE_ALIAS "input_output.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/intensity.png"
    PROPERTIES QT_RESOURCE_ALIAS "intensity.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/key_bindings.png"
    PROPERTIES QT_RESOURCE_ALIAS "key_bindings.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/knob.png"
    PROPERTIES QT_RESOURCE_ALIAS "knob.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/label.png"
    PROPERTIES QT_RESOURCE_ALIAS "label.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/laser.png"
    PROPERTIES QT_RESOURCE_ALIAS "laser.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/ledbar_beams.png"
    PROPERTIES QT_RESOURCE_ALIAS "ledbar_beams.png"
)
set_source_files_properties("../ui/src/../../resources/icons/png/ledbar_pixels.png"

=== plugins/spi/CMakeLists.txt ===
set(module_name "spi")

set(TS_FILES
    SPI_de_DE.ts
    SPI_es_ES.ts
    SPI_fi_FI.ts
    SPI_fr_FR.ts
    SPI_it_IT.ts
    SPI_nl_NL.ts
    SPI_cz_CZ.ts
    SPI_pt_BR.ts
    SPI_ca_ES.ts
    SPI_ja_JP.ts
)

if(QT_VERSION_MAJOR GREATER 5)
    qt_add_translation(QM_FILES ${TS_FILES})
else()
    qt5_add_translation(QM_FILES ${TS_FILES})
endif()

add_library(${module_name}
    SHARED
    ${QM_FILES}
)

target_sources(${module_name} PRIVATE
    ../interfaces/qlcioplugin.cpp ../interfaces/qlcioplugin.h
    spiconfiguration.cpp spiconfiguration.h spiconfiguration.ui
    spioutthread.cpp spioutthread.h
    spiplugin.cpp spiplugin.h
)
target_include_directories(${module_name} PRIVATE
    $SYSROOT/usr/include
    ../interfaces
)

target_link_libraries(${module_name} PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Widgets
)

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/z65-spi.rules"
        DESTINATION ${UDEVRULESDIR})

install(TARGETS ${module_name}
    LIBRARY DESTINATION ${INSTALLROOT}/${PLUGINDIR}
    RUNTIME DESTINATION ${INSTALLROOT}/${PLUGINDIR}
)

if (UNIX AND NOT APPLE)
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/org.qlcplus.QLCPlus.spi.metainfo.xml"
        DESTINATION ${METAINFODIR})
endif()

=== engine/test/qlcchannel/CMakeLists.txt ===
add_executable(qlcchannel_test WIN32
    qlcchannel_test.cpp qlcchannel_test.h
)
target_include_directories(qlcchannel_test PRIVATE
    ../../../plugins/interfaces
    ../../src
)

target_link_libraries(qlcchannel_test PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Test
    qlcplusengine
)

# Consider using qt_generate_deploy_app_script() for app deployment if
# the project can use Qt 6.3. In that case rerun qmake2cmake with
# --min-qt-version=6.3.

=== debian/changelog ===
qlcplus (4.14.3) stable; urgency=high

  * engine: fix intensity channels getting stuck on fade out
  * engine: more fixes to RGB Matrix instability (thanks to Nick Shaforostoff)
  * engine: fix audio end of stream with fade out
  * webaccess: fix PNG and other image formats not loaded
  * platforms/macos: add missing audio plugin to Intel bundle

-- Massimo Callegari <massimocallegari@yahoo.it>  Thu, 3 Jul 2025 18:19:20 +0200

qlcplus (4.14.2) stable; urgency=high

  * engine: fix audio end of stream causing a crash on Qt 6 builds
  * engine: decrease memory usage of RGB Matrix (thanks to Nick Shaforostoff)
  * engine: fix crash when changing EFX timing after "Stop all functions" (thanks to Jurrie Overgoor)
  * engine: input profiles are now loaded from project folder too
  * engine: fix RGB Matrix color lost while editing (thanks to Jurrie Overgoor)
  * engine: fix RGB Matrix dimmer control mode on generic dimmers
  * engine: fix EFX duration change when asymmetrical
  * UI/Fixture Remap: include channel modifiers when fixture model and mode are the same
  * Virtual Console: add an option to hide Grand Master (thanks to Jurrie Overgoor)
  * Plugins/DMX USB: fix crash with some FTDI adapters
  * Plugins/DMX USB: improve Open DMX timer accuracy (thanks to Basil Hussain)
  * Plugins/DMX USB: reworked to support DMXKing MAX input and increase efficiency
  * Web Access: improved multiple connections handling (thanks to Jurrie Overgoor)
  * Input profiles: added M-Wave SMC Mixer
  * New fixtures: Eurolite LED TMH-40, Stairville HF-900 Haze Fogger (thanks to thegasta)
  * New fixtures: Sagitter Prince, Sagitter Lite Beam 5R, Sagitter ARS 1500FC (thanks to Alessandro Caseti)
  * New fixtures: Stairville BEL6 IP Bar HEX, BSW-350 LED (thanks to Theodor Hein)
  * New fixtures: American DJ Encore FR50z, Encore FR150z, Showtec LED Blinder 2 COB (thanks to Bram Janssen)
  * New fixtures: Shehds 3000mW RGB Laser, CLF JUNO (thanks to Bram Janssen)
  * New fixture: Showtec LED Par 64 36x3W (thanks to Bostjan Vodnik)
  * New fixture: Expolite TourBar 32PIX RGBW (thanks to Wim Van Laer)
  * New fixture: Clay Paky Mini-B Spot
  * New fixture: UKing ZQ-B20 Mini Spider (thanks to Patrick Kosubke)
  * New fixture: Fun Generation LED Diamond Dome MK 2 (thanks to Peter Schmenger)
  * New fixture: Lixada RGBW LED Mini Moving Head (thanks to David Thomas)
  * New fixtures: Eurolite TMH-S90 Moving-Head Spot, Laserworld DS-1000RGB (thanks to Nils Hitschke)
  * New fixtures: Stairville Stage Quad LED Bundle RGB WW, Stairville Wild Wash Pro 648 LED RGB (thanks to Nils Hitschke)
  * New fixture: beamZ Panther 70 (thanks to Patrick)
  * New fixture: Betopper LPC-120 (thanks to Loris Mercier)
  * New fixture: Shehds LED Beam 8x12W RGBW (thanks to Maurizio)
  * New fixture: American DJ Encore Burst RGBW IP (thanks to Andrew Hallmark)
  * New fixture: Stairville SonicPulse MH Wash 1208 (thanks to Jakob Frank)
  * New fixture: American DJ Focus Spot 5Z (thanks to Mark B.)
  * New fixture: Showtec Cyclone 4 (thanks to Arnaud)
  * New fixture: Stairville CLB5 6P RGB WW Compact LED Bar (thanks to Martin Scherer)
  * New fixture: UKing ZQ02021 Beam Pro (thanks to Peter Schmenger)

  -- Massimo Callegari <massimocallegari@yahoo.it>  Thu, 19 Jun 2025 18:19:20 +0200

qlcplus (4.14.1) stable; urgency=high

  * engine: fix crash when using multiple RGBMatrix
  * engine: fix crash when using a Script function
  * Show Manager: fix hanging with an infinite duration EFX
  * Simple Desk: fix crash when resetting a channel with no fixture associated
  * Virtual Console/XY Pad: fix Pan/Tilt fine controls not getting saved
  * UI: fix incomplete or missing translations (thanks to Itay Lifshitz)
  * Input Profiles: update Launchpad Mini profiles with color table (thanks to Jan Fries)
  * New fixture: beamZ MHL75 Hybrid Moving Head (thanks to Mikko Wuokko)
  * New fixtures: Eurolite LED TSL-1000 Scan MK2, Varytec LED Theater Spot 100 (thanks to Christoph Wieser)
  * New fixtures: Briteq BT Theatre 250EZ + Mk2 + Mk3 (thanks to Christoph Müllner)
  * New fixture: Showtec Spectral M800 IPX (thanks to Bram Janssen)
  * New fixture: Briteq LED UV-Gun (thanks to Freddy Hoogstoel)
  * New fixtures: Eurolite LED Twin Scan Bar, Vari-Lite VL2402 Wash, Vari-Lite VL2202 Spot (thanks to Mitsch)
  * New fixture: Eurolite TMH-11 Moving-Head Wash, SonicPulse LED Bar 05 and 10 (thanks to Simeon08 & ReComplexed)
  * New fixture: Chauvet Ovation H-105WW (thanks to Matthew Valeri)
  * New fixture: Varytec Hero Wash 300 FC (thanks to NostaKhan)

  -- Massimo Callegari <massimocallegari@yahoo.it>  Mon, 10 Mar 2025 18:19:20 +0200

qlcplus (4.14.0) stable; urgency=low

  * engine: fix flashing fade out
  * engine: add stopOnExit, waitFunctionStart and waitFunctionStop commands to Script - see documentation (thanks to ldebs)
  * engine: introduce RGBScript v3 and allow up to 5 colors (thanks to Hans-Jürgen Tappe)
  * engine/RGBMatrix: rewind animated GIFs on startup
  * UI: adjust audio volume on video intensity change
  * UI/Fixture Manager: limit the number of RGB panel columns for RGBW to avoid crash
  * UI/Function Wizard: improved with more VC widget creation (thanks to 8-Lambda-8)
  * UI/Fixture Group Editor: allow to add fixtures top to bottom and left to right (thanks to Yestalgia)
  * UI/Show Manager: show step notes on the timeline (thanks to anarchid)
  * UI/Show Manager: handle CTRL+mouse wheel to zoom in/out
  * Virtual Console/Slider: send feedback on override button press
  * Virtual Console/Sped Dial: fix foreground color setting on Windows
  * Virtual Console/Frame: fix widget page initialization on Operate mode
  * Virtual Console/XY Pad: added Pan/Tilt fine external controls
  * Plugins/OS2L: fix receiving multiple messages at once
  * Web Access: reworked websocket implementation
  * Web Access: fix grand master stopping running functions
  * Web Access: fix simple desk not resetting the current universe


=== debian/control ===
Source: qlcplus
Section: misc
Priority: optional
Maintainer: Massimo Callegari <massimocallegari@yahoo.it>
Build-Depends:
 debhelper (>= 7.0.50),
 g++,
 libasound2-dev (>= 1.0.16),
 libfftw3-dev,
 libftdi1-dev (>= 0.17),
 libsndfile1-dev,
 qtbase5-dev, qtscript5-dev,
 qtmultimedia5-dev, libqt5serialport5-dev,
 libqt5websockets5-dev,
 libstdc++-dev,
 libudev-dev,
 libusb-1.0-0-dev (>= 2:0.1.12),
 make,
 pkg-config,
 libxml2-utils,
 shared-mime-info (>= 0.71),
Standards-Version: 3.7.3
Homepage: http://www.qlcplus.org/

Package: qlcplus
Section: misc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libsndfile1,
 libqt5multimedia5-plugins,
Description: Q Light Controller Plus - The open DMX lighting desk
 Software lighting desk for controlling professional lighting fixtures.

Package: qlcplus-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 qlcplus (= ${binary:Version}),
 ${misc:Depends},
Description: Debugging symbols for Q Light Controller Plus
 Q Light Controller Plus debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh  $@ --parallel

override_dh_auto_configure:
	./translate.sh
	dh_auto_configure --
	# Use this to build QLC+ v5 with the QML UI:
	#dh_auto_configure -- CONFIG+=qmlui

override_dh_shlibdeps:
	dh_shlibdeps -Xlibsndfileplugin.so -Xlibolaio.so

override_dh_install:
	dh_install
